/*
 * Class CONTAINER [INTEGER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1862 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1862 [] = {0xFF01,1551,1861,845,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1862 [] = {0xFF01,1861,845,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1862 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1862 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1862 [] = {0xFF01,1861,845,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1862 [] = {0xFF01,1861,845,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1862 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1862 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1862 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1862 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1862 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1862 [] = {1861,845,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1862 [] = {0xFF01,1861,845,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1862 [] = {0xFF01,1859,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1862 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1862[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1862), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1862), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1862), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1862), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1862), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1862), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1862), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1862), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1862), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1862), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1862), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1862), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1862), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1862), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8638, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8639, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8640, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8641, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8642, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1862), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1862), -1, 0xFFFFFFFF},
};
void Init1862(void)
{
	IDSC(desc_1862, 0, 1861);
	IDSC(desc_1862 + 1, 1, 1861);
	IDSC(desc_1862 + 32, 1134, 1861);
}


#ifdef __cplusplus
}
#endif
